For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Update Address V 2

PUT
https://host.com/v2/consumers/:consumer_id/addresses/:address_id/
PUT
/v2/consumers/:consumer_id/addresses/:address_id/
$curl -X PUT https://host.com/v2/consumers/consumer_id/addresses/address_id/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": 1,
3 "consumer": 1,
4 "type": "BILLING",
5 "address_line1": "string",
6 "address_line2": "string",
7 "city": "string",
8 "state": "AL",
9 "country": "AF",
10 "zip": "string",
11 "lat": 1.1,
12 "lng": 1.1
13}
Update an existing address. Billing addresses cannot be edited or transformed into billing.
Was this page helpful?
Previous

Delete Address V 2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired
address_idstringRequired

Request

This endpoint expects an object.
consumerinteger or nullOptional
typeenum or nullOptional
Allowed values:
address_line1string or nullOptional<=250 characters
address_line2string or nullOptional<=250 characters
citystring or nullOptional<=100 characters
stateenum or nullOptional
countryenumOptional
zipstring or nullOptional<=32 characters
latdouble or nullOptional
lngdouble or nullOptional

Response

idintegerRead-only
consumerinteger or null
typeenum or null
Allowed values:
address_line1string or null<=250 characters
address_line2string or null<=250 characters
citystring or null<=100 characters
stateenum or null
countryenum
zipstring or null<=32 characters
latdouble or null
lngdouble or null